--- /dev/null	Sun Oct 28 17:19:47 2012
+++ new/usr/src/man/man1m/ipadm.1m	Sun Oct 28 17:19:47 2012
@@ -0,0 +1,1245 @@
+'\" te
+.\" Copyright (c) 2012, Joyent, Inc. All Rights Reserved
+.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
+.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
+.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
+.TH IPADM 1M "May 14, 2012"
+.SH NAME
+ipadm \- configure IP network interfaces and protocol properties.
+.SH SYNOPSIS
+.LP
+.nf
+\fBipadm\fR create-if [\fB-t\fR] \fIinterface\fR
+.fi
+
+.LP
+.nf
+\fBipadm\fR disable-if \fB-t\fR \fIinterface\fR
+.fi
+
+.LP
+.nf
+\fBipadm\fR enable-if \fB-t\fR \fIinterface\fR
+.fi
+
+.LP
+.nf
+\fBipadm\fR delete-if \fIinterface\fR
+.fi
+
+.LP
+.nf
+\fBipadm\fR show-if [[\fB-p\fR] \fB-o\fR \fIfield\fR[,...]] [\fIinterface\fR]
+.fi
+
+.LP
+.nf
+\fBipadm\fR set-ifprop [\fB-t\fR] \fB-p\fR \fIprop\fR=<\fIvalue\fR[,...]> \fB-m\fR \fIprotocol\fR \fIinterface\fR
+.fi
+
+.LP
+.nf
+\fBipadm\fR reset-ifprop [\fB-t\fR] \fB-p\fR \fIprop\fR \fB-m\fR \fIprotocol\fR \fIinterface\fR
+.fi
+
+.LP
+.nf
+\fBipadm\fR show-ifprop [[\fB-c\fR]\fB-o\fR \fIfield\fR[,...]] [\fB-p\fR \fIprop\fR,...] [\fB-m\fR \fIprotocol\fR]
+  [\fIinterface\fR]
+.fi
+
+.LP
+.nf
+\fBipadm\fR create-addr [\fB-t\fR] \fB-T\fR static [\fB-d\fR]
+   \fB-a\fR {local|remote}=\fIaddr\fR[/\fIprefixlen\fR],... \fIaddrobj\fR
+.fi
+
+.LP
+.nf
+\fBipadm\fR create-addr [\fB-t\fR] \fB-T\fR dhcp [\fB-w\fR \fIseconds\fR | forever ] \fIaddrobj\fR
+.fi
+
+.LP
+.nf
+\fBipadm\fR create-addr [\fB-t\fR] \fB-T\fR addrconf [\fB-i\fR \fIinterface-id\fR]
+   [\fB-p\fR {stateful|stateless}={yes|no},..] \fIaddrobj\fR
+.fi
+
+.LP
+.nf
+\fBipadm\fR down-addr [\fB-t\fR] \fIaddrobj\fR
+.fi
+
+.LP
+.nf
+\fBipadm\fR up-addr [\fB-t\fR] \fIaddrobj\fR
+.fi
+
+.LP
+.nf
+\fBipadm\fR disable-addr \fB-t\fR \fIaddrobj\fR
+.fi
+
+.LP
+.nf
+\fBipadm\fR enable-addr \fB-t\fR \fIaddrobj\fR
+.fi
+
+.LP
+.nf
+\fBipadm\fR refresh-addr [\fB-i\fR] \fIaddrobj\fR
+.fi
+
+.LP
+.nf
+\fBipadm\fR delete-addr [\fB-r\fR] \fIaddrobj\fR
+.fi
+
+.LP
+.nf
+\fBipadm\fR show-addr [[\fB-p\fR] \fB-o\fR \fIfield\fR[,...]] [\fIaddrobj\fR]
+.fi
+
+.LP
+.nf
+\fBipadm\fR set-addrprop [\fB-t\fR] \fB-p\fR \fIprop\fR=<\fIvalue\fR[,...]> \fIaddrobj\fR
+.fi
+
+.LP
+.nf
+\fBipadm\fR reset-addrprop [\fB-t\fR] \fB-p\fR \fIprop\fR=<\fIvalue\fR[,...]> \fIaddrobj\fR
+.fi
+
+.LP
+.nf
+\fBipadm\fR show-addrprop [[\fB-c\fR] \fB-o\fR \fIfield\fR[,...]] [\fB-p\fR \fIprop\fR,...] [\fIaddrobj\fR]
+.fi
+
+.LP
+.nf
+\fBipadm\fR set-prop [\fB-t\fR] \fB-p\fR \fIprop\fR[+|-]=<\fIvalue\fR[,...]> \fIprotocol\fR
+.fi
+
+.LP
+.nf
+\fBipadm\fR reset-prop [\fB-t\fR] \fB-p\fR \fIprop\fR \fIprotocol\fR
+.fi
+
+.LP
+.nf
+\fBipadm\fR show-prop [[\fB-c\fR] \fB-o\fR \fIfield\fR[,...]] [\fB-p\fR \fIprop\fR[,...]] [\fIprotocol\fR]
+.fi
+
+.SH DESCRIPTION
+.sp
+.LP
+
+The \fBipadm\fR command is a stable replacement for the \fBifconfig\fR(1M) and
+\fBndd\fR(1M) commands. It is used to create IP interfaces and to confgure IP
+addresses on those interfaces. It is also used to get, set or reset properties
+on interfaces, addresses and protocols.
+.LP
+For subcommands that take an \fIaddrobj\fR, the \fIaddrobj\fR specifies a
+unique address on the system. It is made up of two parts, delimited by a '/'.
+The first part is the name of the interface and the second part is a string up
+to 32 characters long.  For example, "lo0/v4" is a loopback interface
+addrobj name.
+.LP
+For subcommands that take a \fIprotocol\fR, this can be one of
+the following values: ip, ipv4, ipv6, icmp, tcp, sctp or udp.
+
+.SH SUBCOMMANDS
+.sp
+.LP
+The following subcommands are supported:
+.sp
+.ne 2
+.na
+\fB\fBcreate-if\fR [\fB-t\fR] \fIinterface\fR\fR
+.ad
+.sp .6
+.RS 4n
+The \fBcreate-if\fR subcommand is used to create an IP interface that will
+handle both IPv4 and IPv6 packets. The interface will be enabled as part of
+the creation process.  The IPv4 interface will have the address 0.0.0.0.
+The IPv6 interface will have the adress ::.
+.sp
+The \fB-t\fR option (also \fB--temporary\fR) means
+that the creation is temporary and will not be persistent across reboots.
+.sp
+
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fBdisable-if\fR \fB-t\fR \fIinterface\fR\fR
+.ad
+.sp .6
+.RS 4n
+The \fBdisable-if\fR subcommand is used to disable an IP interface.
+.sp
+The \fB-t\fR option (also \fB--temporary\fR) means
+that the disable is temporary and will not be persistent across reboots.
+.sp
+
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fBenable-if\fR \fB-t\fR \fIinterface\fR\fR
+.ad
+.sp .6
+.RS 4n
+The \fBenable-if\fR subcommand is used to enable an IP interface.
+.sp
+The \fB-t\fR option (also \fB--temporary\fR) means
+that the enable is temporary and will not be persistent across reboots.
+.sp
+
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fbdelete-if\fR \fIinterface\fR\fR
+.ad
+.sp .6
+.RS 4n
+The \fBdelete-if\fR subcommand is used to permanently delete an IP interface.
+.sp
+
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fBshow-if\fR [[\fB-p\fR] \fB-o\fR \fIfield\fR[,...]] [\fIinterface\fR]\fR
+.ad
+.sp .6
+.RS 4n
+The \fBshow-if\fR subcommand is used to show the current IP interface
+configuration.
+.sp
+The \fB-p\fR option (also \fB--parsable\fR) prints
+the output in a parsable format.
+.sp
+The \fB-o\fR option (also \fB--output\fR) is used
+to select which fields will be shown.  The field value can be one of the
+following names:
+.sp
+.ne 2
+.na
+.RS 4n
+\fBALL\fR
+.ad
+.RS 4n
+Display all fields
+.RE
+
+.sp
+.ne 2
+.na
+\fBIFNAME\fR
+.ad
+.RS 4n
+The name of the interface
+.RE
+
+.sp
+.ne 2
+.na
+\fBSTATE\fR
+.ad
+.RS 4n
+The state can be one of the following values:
+.sp
+.ne 2
+.na
+.RS 4n
+ok - resources for the interface have been allocated
+.sp
+offline - the interface is offline
+.sp
+failed - the interface's datalink is down
+.sp
+down - the interface is down
+.sp
+disabled - the interface is disabled
+.RE
+.RE
+
+.sp
+.ne 2
+.na
+\fBCURRENT\fR
+.ad
+.RS 4n
+A set of single character flags indicating the following:
+.sp
+.ne 2
+.na
+.RS 4n
+b - broadcast (mutually exclusive with 'p')
+.br
+m - multicast
+.br
+p - point-to-point (mutually exclusive with 'b')
+.br
+v - virtual interface
+.br
+I - IPMP
+.br
+s - IPMP standby
+.br
+i - IPMP inactive
+.br
+V - VRRP
+.br
+a - VRRP accept mode
+.br
+4 - IPv4
+.br
+6 - IPv6
+.RE
+.RE
+
+.sp
+.ne 2
+.na
+\fBPERSISTENT\fR
+.ad
+.RS 4n
+A set of single character flags showing what configuration will be used the
+next time the interface is enabled:
+.sp
+.ne 2
+.na
+.RS 4n
+s - IPMP standby
+.br
+4 - IPv4
+.br
+6 - IPv6
+.RE
+.RE
+.RE
+
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fBset-ifprop\fR [\fB-t\fR] \fB-p\fR \fIprop\fR=<\fIvalue\fR[,...]> \fB-m\fR \fIprotocol\fR \fIinterface\fR\fR
+.ad
+.sp .6
+.RS 4n
+The \fBset-ifprop\fR subcommand is used to set a property's value(s) on the IP
+interface.
+.sp
+The \fB-t\fR option (also \fB--temporary\fR) means
+that the setting is temporary and will not be persistent across reboots.
+.sp
+The \fB-p\fR option (also \fB--prop\fR) specifies the property name and
+value(s).  The property name can be one of the following:
+.sp
+.ne 2
+.na
+
+.RS 4n
+
+\fBarp\fR
+.ad
+.RS 4n
+Enables ("on") or disables ("off") ARP.
+.RE
+
+.sp
+.ne 2
+.na
+\fBexchange_routes\fR
+.ad
+.RS 4n
+Enables ("on") or disables ("off") the exchange of routing data.
+.RE
+
+.sp
+.ne 2
+.na
+\fBforwarding\fR
+.ad
+.RS 4n
+Enables ("on") or disables ("off") IP forwarding.
+.RE
+
+.sp
+.ne 2
+.na
+\fBmetric\fR
+.ad
+.RS 4n
+Set the routing metric to the numeric value. The value is treated as extra
+hops to the destination.
+.RE
+
+.sp
+.ne 2
+.na
+\fBmtu\fR
+.ad
+.RS 4n
+Set the maximum transmission unit to the numeric value.
+.RE
+
+.sp
+.ne 2
+.na
+\fBnud\fR
+.ad
+.RS 4n
+Enables ("on") or disables ("off") neighbor unreachability detection.
+.RE
+
+.sp
+.ne 2
+.na
+\fBusesrc\fR
+.ad
+.RS 4n
+Indicates which interface to use for source address selection. A value
+"none" may also be used.
+.RE
+.RE
+
+.sp
+The \fB-m\fR option (also \fB--module\fR) specifies which protocol
+the setting applies to.
+.sp
+
+.RE
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fBreset-ifprop\fR [\fB-t\fR] \fB-p\fR \fIprop\fR \fB-m\fR \fIprotocol\fR \fIinterface\fR\fR
+.ad
+.sp .6
+.RS 4n
+The \fBreset-ifprop\fR subcommand is used to reset an IP interface's property
+value to the default.
+.sp
+The \fB-t\fR option (also \fB--temporary\fR) means
+that the disable is temporary and will not be persistent across reboots.
+.sp
+The \fB-p\fR option (also \fB--prop\fR) specifies the property name.
+See the \fBset-ifprop\fR subcommand for the list of property names.
+.sp
+The \fB-m\fR option (also \fB--module\fR) specifies which protocol
+the setting applies to.
+.sp
+
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fBshow-ifprop\fR [[\fB-c\fR]\fB-o\fR \fIfield\fR[,...]] [\fB-p\fR \fIprop\fR,...] [\fB-m\fR \fIprotocol\fR]
+  [\fIinterface\fR]\fR
+.ad
+.sp .6
+.RS 4n
+The \fBshow-ifprop\fR subcommand is used to display the property values
+for one or all of the IP interfaces.
+.sp
+The \fB-c\fR option (also \fB--parsable\fR) prints
+the output in a parsable format.
+.sp
+The \fB-o\fR option (also \fB--output\fR) is used
+to select which fields will be shown.  The field value can be one of the
+following names:
+.sp
+.ne 2
+.na
+.RS 4n
+\fBALL\fR
+.ad
+.RS 4n
+Display all fields
+.RE
+
+.sp
+.ne 2
+.na
+\fBIFNAME\fR
+.ad
+.RS 4n
+The name of the interface
+.RE
+
+.sp
+.ne 2
+.na
+\fBPROPERTY\fR
+.ad
+.RS 4n
+The name of the property
+.RE
+
+.sp
+.ne 2
+.na
+\fBPROTO\fR
+.ad
+.RS 4n
+The name of the protocol
+.RE
+
+.sp
+.ne 2
+.na
+\fBPERM\fR
+.ad
+.RS 4n
+If the property is readable ("r") and/or writable ("w").
+.RE
+
+.sp
+.ne 2
+.na
+\fBCURRENT\fR
+.ad
+.RS 4n
+The value of the property
+.RE
+
+.sp
+.ne 2
+.na
+\fBPERSISTENT\fR
+.ad
+.RS 4n
+The persistent value of the property
+.RE
+
+.sp
+.ne 2
+.na
+\fBDEFAULT\fR
+.ad
+.RS 4n
+The default value of the property
+.RE
+
+.sp
+.ne 2
+.na
+\fBPOSSIBLE\fR
+.ad
+.RS 4n
+The possible values for the property
+.RE
+.RE
+
+.sp
+The \fB-p\fR option (also \fB--prop\fR) is used
+to specify which properties to display.  See the \fBset-ifprop\fR
+subcommand for the list of property names.
+.sp
+The \fB-m\fR option (also \fB--module\fR) specifies which protocol
+to display.
+.sp
+
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fBcreate-addr\fR [\fB-t\fR] \fB-T\fR static [\fB-d\fR] \\
+   \fB-a\fR {local|remote}=\fIaddr\fR[/\fIprefixlen\fR],... \fIaddrobj\fR\fR
+.br
+\fB\fBcreate-addr\fR [\fB-t\fR] \fB-T\fR dhcp [\fB-w\fR \fIseconds\fR | forever ] \fIaddrobj\fR\fR
+.br
+\fB\fBcreate-addr\fR [\fB-t\fR] \fB-T\fR addrconf [\fB-i\fR \fIinterface-id\fR] \\
+   [\fB-p\fR {stateful|stateless}={yes|no},..] \fIaddrobj\fR\fR
+.ad
+.sp .6
+.RS 4n
+The \fBcreate-addr\fR subcommand is used to set an address on an IP interface.
+The address will be enabled but can disabled using the \fBdisable-addr\fR
+subcommand. This subcommand has three different forms, depending on the
+value of the \fB-T\fR option.
+.sp
+The \fB-t\fR option (also \fB--temporary\fR) means
+that the address is temporary and will not be persistent across reboots.
+.sp
+The \fB-T\fR static option creates a static addrobj.  This takes the following
+options:
+.RS 4n
+
+The \fB-d\fR option (also \fB--down\fR) means the address is down.
+.sp
+The \fB-a\fR option (also \fB--address\fR) specifies the address.
+The "local" or "remote" prefix can be used for a point-to-point interface.
+In this case, both addresses must be given.
+Otherwise, the equal sign ("=") should be omitted and the address should be
+provided by itself and with no second address.
+.sp
+
+.RE
+
+The \fB-T\fR dhcp option causes the address to be obtained via DHCP.
+This takes the following options:
+.RS 4n
+
+The \fB-w\fR option (also \fB--wait\fR) gives the time, in seconds,
+that the command should wait to obtain an address.
+.sp
+
+.RE
+
+The \fB-T\fR addrconf option creates an auto-configured address.
+This takes the following options:
+.RS 4n
+
+The \fB-i\fR option (also \fB--interface-id\fR) gives the interface ID to
+be used.
+.sp
+The \fB-p\fR option (also \fB--prop\fR) indicates which method of
+auto-configuration should be used.
+.sp
+
+.RE
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fBdown-addr\fR [\fB-t\fR] \fIaddrobj\fR\fR
+.ad
+.sp .6
+.RS 4n
+The \fBdown-addr\fR subcommand is used to down the address. This will 
+stop packets from being sent or received.
+.sp
+The \fB-t\fR option (also \fB--temporary\fR) means
+that the down is temporary and will not be persistent across reboots.
+.sp
+
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fBup-addr\fR [\fB-t\fR] \fIaddrobj\fR\fR
+.ad
+.sp .6
+.RS 4n
+The \fBup-addr\fR subcommand is used to up the address. This will 
+enable packets to be sent and received.
+.sp
+The \fB-t\fR option (also \fB--temporary\fR) means
+that the up is temporary and will not be persistent across reboots.
+.sp
+
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fBdisable-addr\fR \fB-t\fR \fIaddrobj\fR\fR
+.ad
+.sp .6
+.RS 4n
+The \fBdisable-addr\fR subcommand is used to disable the address.
+.sp
+The \fB-t\fR option (also \fB--temporary\fR) means
+that the disable is temporary and will not be persistent across reboots.
+.sp
+
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fBenable-addr\fR \fB-t\fR \fIaddrobj\fR\fR
+.ad
+.sp .6
+.RS 4n
+The \fBenable-addr\fR subcommand is used to enable the address.
+.sp
+The \fB-t\fR option (also \fB--temporary\fR) means
+that the disable is temporary and will not be persistent across reboots.
+.sp
+
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fBrefresh-addr\fR [\fB-i\fR] \fIaddrobj\fR\fR
+.ad
+.sp .6
+.RS 4n
+The \fBrefresh-addr\fR subcommand is used to extend the lease for DHCP
+addresses. It also restarts duplicate address detection for Static addresses.
+.sp
+The \fB-i\fR option (also \fB--inform\fR) means
+that the network configuration will be obtained from DHCP without taking
+a lease on the address.
+.sp
+
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fBdelete-addr\fR [\fB-r\fR] \fIaddrobj\fR\fR
+.ad
+.sp .6
+.RS 4n
+The \fBdelete-addr\fR subcommand deletes the given address.
+.sp
+The \fB-r\fR option (also \fB--release\fR) is used for DHCP-assigned
+addresses to indicate that the address should be released.
+.sp
+
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fBshow-addr\fR [[\fB-p\fR] \fB-o\fR \fIfield\fR[,...]] [\fIaddrobj\fR]\fR
+.ad
+.sp .6
+.RS 4n
+The \fBshow-addr\fR subcommand is used to show the current address properties.
+.sp
+The \fB-p\fR option (also \fB--parsable\fR) prints
+the output in a parsable format.
+.sp
+The \fB-o\fR option (also \fB--output\fR) is used
+to select which fields will be shown.  The field value can be one of the
+following names:
+.sp
+.ne 2
+.na
+.RS 4n
+\fBALL\fR
+.ad
+.RS 4n
+Display all fields
+.RE
+
+.sp
+.ne 2
+.na
+\fBADDROBJ\fR
+.ad
+.RS 4n
+The name of the address
+.RE
+
+.sp
+.ne 2
+.na
+\fBTYPE\fR
+.ad
+.RS 4n
+The type of the address.  It can be "static", "dhcp" or "addrconf".
+.RE
+
+.sp
+.ne 2
+.na
+\fBSTATE\fR
+.ad
+.RS 4n
+The state of the address.  It can be one of the following values:
+.sp
+.ne 2
+.na
+.RS 4n
+disabled s see the \fBdisable-addr\fR subcommand
+.sp
+down - see the \fBdown-addr\fR subcommand
+.sp
+duplicate - the address is a duplicate
+.sp
+inaccessible - the interface for this address has failed
+.sp
+ok - the address is up
+.sp
+tentative - duplicate address detection in progress
+.RE
+.RE
+
+.sp
+.ne 2
+.na
+\fBCURRENT\fR
+.ad
+.RS 4n
+A set of single character flags indicating the following:
+.sp
+.ne 2
+.na
+.RS 4n
+U - up
+.br
+u - unnumbered (matches another local address)
+.br
+p - private, not advertised to routing
+.br
+t - temporary IPv6 address
+.br
+d - deprecated (not used for outgoing packets)
+.RE
+.RE
+
+.sp
+.ne 2
+.na
+\fBPERSISTENT\fR
+.ad
+.RS 4n
+A set of single character flags showing the configuration which will be used
+when the address is enabled.
+.sp
+.ne 2
+.na
+.RS 4n
+U - up
+.br
+p - private, not advertised to routing
+.br
+d - deprecated (not used for outgoing packets)
+.RE
+.RE
+
+.sp
+.ne 2
+.na
+\fBADDR\fR
+.ad
+.RS 4n
+The address
+.RE
+.RE
+
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fBset-addrprop\fR [\fB-t\fR] \fB-p\fR \fIprop\fR=<\fIvalue\fR[,...]> \fIaddrobj\fR
+.ad
+.sp .6
+.RS 4n
+The \fBset-addrprop\fR subcommand is used to set a property's value(s) on the
+addrobj.
+.sp
+The \fB-t\fR option (also \fB--temporary\fR) means
+that the setting is temporary and will not be persistent across reboots.
+.sp
+The \fB-p\fR option (also \fB--prop\fR) specifies the property name and
+value(s).  The property name can be one of the following:
+.sp
+.ne 2
+.na
+
+.RS 4n
+
+\fBbroadcast\fR
+.ad
+.RS 4n
+The broadcast address (read-only)
+.RE
+
+.sp
+.ne 2
+.na
+\fBdeprecated\fR
+.ad
+.RS 4n
+The address should not be used to send packets but can still receive packets.
+Can be "on" or "off".
+.RE
+
+.sp
+.ne 2
+.na
+\fBprefixlen\fR
+.ad
+.RS 4n
+The number of bits in the IPv4 netmask or IPv6 prefix.
+.RE
+ 
+.sp
+.ne 2
+.na
+\fBprivate\fR
+.ad
+.RS 4n
+The address is not advertised to routing.
+Can be "on" or "off".
+.RE
+ 
+.sp
+.ne 2
+.na
+\fBtransmit\fR
+.ad
+.RS 4n
+Packets can be transmitted.
+Can be "on" or "off".
+.RE
+ 
+.sp
+.ne 2
+.na
+\fBzone\fR
+.ad
+.RS 4n
+The zone the addrobj is in.
+.RE
+ 
+.RE
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fBreset-addrprop\fR [\fB-t\fR] \fB-p\fR \fIprop\fR \fIaddrobj\fR\fR
+.ad
+.sp .6
+.RS 4n
+The \fBreset-addrprop\fR subcommand is used to reset an addrobj's property
+value to the default.
+.sp
+The \fB-t\fR option (also \fB--temporary\fR) means
+that the disable is temporary and will not be persistent across reboots.
+.sp
+The \fB-p\fR option (also \fB--prop\fR) specifies the property name.
+See the \fBset-addrprop\fR subcommand for the list of property names.
+.sp
+
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fBshow-addrprop\fR [[\fB-c\fR]\fB-o\fR \fIfield\fR[,...]] [\fB-p\fR \fIprop\fR,...] \fIaddrobj\fR]
+.ad
+.sp .6
+.RS 4n
+The \fBshow-addrprop\fR subcommand is used to display the property values
+for one or all of the addrobjs.
+.sp
+The \fB-c\fR option (also \fB--parsable\fR) prints
+the output in a parsable format.
+.sp
+The \fB-o\fR option (also \fB--output\fR) is used
+to select which fields will be shown.  The field value can be one of the
+following names:
+.sp
+.ne 2
+.na
+.RS 4n
+\fBALL\fR
+.ad
+.RS 4n
+Display all fields
+.RE
+
+.sp
+.ne 2
+.na
+\fBADDROBJ\fR
+.ad
+.RS 4n
+The name of the addrobj
+.RE
+
+.sp
+.ne 2
+.na
+\fBPROPERTY\fR
+.ad
+.RS 4n
+The name of the property
+.RE
+
+.sp
+.ne 2
+.na
+\fBPERM\fR
+.ad
+.RS 4n
+If the property is readable ("r") and/or writable ("w").
+.RE
+
+.sp
+.ne 2
+.na
+\fBCURRENT\fR
+.ad
+.RS 4n
+The value of the property
+.RE
+
+.sp
+.ne 2
+.na
+\fBPERSISTENT\fR
+.ad
+.RS 4n
+The persistent value of the property
+.RE
+
+.sp
+.ne 2
+.na
+\fBDEFAULT\fR
+.ad
+.RS 4n
+The default value of the property
+.RE
+
+.sp
+.ne 2
+.na
+\fBPOSSIBLE\fR
+.ad
+.RS 4n
+The possible values for the property
+.RE
+.RE
+
+.sp
+The \fB-p\fR option (also \fB--prop\fR) is used
+to specify which properties to display.  See the \fBset-addrprop\fR
+subcommand for the list of property names.
+.sp
+
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fBset-prop\fR [\fB-t\fR] \fB-p\fR \fIprop\fR[+|-]=<\fIvalue\fR[,...]> \fIprotocol\fR
+.ad
+.sp .6
+.RS 4n
+The \fBset-prop\fR subcommand is used to set a property's value(s) on the
+protocol.
+.sp
+The \fB-t\fR option (also \fB--temporary\fR) means
+that the setting is temporary and will not be persistent across reboots.
+.sp
+The \fB-p\fR option (also \fB--prop\fR) specifies the property name and
+value(s). The optional [+|-] syntax can be used to add/remove values from the
+current list of values on the property.
+The property name can be one of the following:
+.sp
+.ne 2
+.na
+
+.RS 4n
+
+\fBecn\fR
+.ad
+.RS 4n
+Explicit congestion control (TCP-only)
+Can be "never", "passive" or "active".
+.RE
+
+\fBextra_priv_ports\fR
+.ad
+.RS 4n
+Additional privileged ports (SCTP, TCP or UDP)
+.RE
+
+\fBforwarding\fR
+.ad
+.RS 4n
+Packet forwarding is enabled.
+Can be "on" or "off".
+.RE
+
+\fBhoplimit\fR
+.ad
+.RS 4n
+The IPv6 hoplimit.
+.RE
+
+\fBlargest_anon_port\fR
+.ad
+.RS 4n
+Largest ephemeral port (SCTP, TCP or UDP)
+.RE
+
+\fBrecv_maxbuf\fR
+.ad
+.RS 4n
+Receive buffer size (ICMP, SCTP, TCP or UDP)
+.RE
+
+\fBsack\fR
+.ad
+.RS 4n
+Selective acknowledgement (TCP).
+Can be "active", "passive" or "never".
+.RE
+
+\fBsend_maxbuf\fR
+.ad
+.RS 4n
+Send buffer size (ICMP, SCTP, TCP or UDP)
+.RE
+
+\fBsmallest_anon_port\fR
+.ad
+.RS 4n
+Smallest ephemeral port (SCTP, TCP or UDP)
+.RE
+
+\fBsmallest_nonpriv_port\fR
+.ad
+.RS 4n
+Smallest non-privileged port (SCTP, TCP or UDP)
+.RE
+
+\fBttl\fR
+.ad
+.RS 4n
+The IPv4 time-to-live.
+.RE
+
+.RE
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fBreset-prop\fR [\fB-t\fR] \fB-p\fR \fIprop\fR \fIprotocol\fR\fR
+.ad
+.sp .6
+.RS 4n
+The \fBreset-prop\fR subcommand is used to reset a protocol's property
+value to the default.
+.sp
+The \fB-t\fR option (also \fB--temporary\fR) means
+that the disable is temporary and will not be persistent across reboots.
+.sp
+The \fB-p\fR option (also \fB--prop\fR) specifies the property name.
+See the \fBset-prop\fR subcommand for the list of property names.
+.sp
+
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fBshow-prop\fR [[\fB-c\fR]\fB-o\fR \fIfield\fR[,...]] [\fB-p\fR \fIprop\fR,...] \fIprotocol\fR]
+.ad
+.sp .6
+.RS 4n
+The \fBshow-prop\fR subcommand is used to display the property values
+for one or all of the protocols.
+.sp
+The \fB-c\fR option (also \fB--parsable\fR) prints
+the output in a parsable format.
+.sp
+The \fB-o\fR option (also \fB--output\fR) is used
+to select which fields will be shown.  The field value can be one of the
+following names:
+.sp
+.ne 2
+.na
+.RS 4n
+\fBALL\fR
+.ad
+.RS 4n
+Display all fields
+.RE
+
+.sp
+.ne 2
+.na
+\fBPROTO\fR
+.ad
+.RS 4n
+The name of the protocol
+.RE
+
+.sp
+.ne 2
+.na
+\fBPROPERTY\fR
+.ad
+.RS 4n
+The name of the property
+.RE
+
+.sp
+.ne 2
+.na
+\fBPERM\fR
+.ad
+.RS 4n
+If the property is readable ("r") and/or writable ("w").
+.RE
+
+.sp
+.ne 2
+.na
+\fBCURRENT\fR
+.ad
+.RS 4n
+The value of the property
+.RE
+
+.sp
+.ne 2
+.na
+\fBPERSISTENT\fR
+.ad
+.RS 4n
+The persistent value of the property
+.RE
+
+.sp
+.ne 2
+.na
+\fBDEFAULT\fR
+.ad
+.RS 4n
+The default value of the property
+.RE
+
+.sp
+.ne 2
+.na
+\fBPOSSIBLE\fR
+.ad
+.RS 4n
+The possible values for the property
+.RE
+.RE
+
+.sp
+The \fB-p\fR option (also \fB--prop\fR) is used
+to specify which properties to display.  See the \fBset-prop\fR
+subcommand for the list of property names.
+.sp
+
+.RE
+
+.SH SEE ALSO
+.sp
+.LP
+\fBifconfig\fR(1M), \fBdladm\fR(1M), \fBndd\fR(1M), \fBzonecfg\fR(1M),
+\fBarp\fR(1M), \fBcfgadm\fR(1M), \fBif_mpadm\fR(1M), \fBnsswitch.conf\fR(4),
+and \fBdhcp\fR(5).
